
# do not change the version here, change in Libconf.pm
%define version 0.22
%define release 1mdk

Summary: Configuration file wrapper
Name: perl-Libconf
Version: %{version}
Release: %{release}
URL: http://www.nongnu.org/libconf/
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Perl
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-buildroot

%define _requires_exceptions perl(Libconf::Glueconf::KeyValue)

%description
Libconf is a wrapper to the main configuration files of the system. It's mainly
a generic parser plus many templates

%package gui
Summary: Graphic User Interface generator for any libconf module.
Group: Development/Perl
Requires: %{name}

%description gui
This module is able to generate a standard Gtk2 interface representing any high
level libconf module, that can be used in other Gtk2 programs.

%package samples
Summary: Set of graphical (gtk2) examples programs using libconf.
Group: Development/Perl
Requires: %{name} %{name}-gui

%description samples
This module is a set of programs, using gtk2 and libconf. Its goal is to give
examples and proof of concept around the libconf project.

%prep
%setup -q

%build
make check

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX="$RPM_BUILD_ROOT%{_prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%{perl_vendorlib}/Libconf.pm
%{perl_vendorlib}/Libconf/Glueconf
%{perl_vendorlib}/Libconf/Glueconf.pm
%{perl_vendorlib}/Libconf/System
%{perl_vendorlib}/Libconf/templates

%files gui
%defattr(-,root,root)
%doc COPYING
%{perl_vendorlib}/Libconf/GUI

%files samples
%defattr(-,root,root)
%doc COPYING
%{_bindir}/libconf_autologin
%{_bindir}/libconf_netconfig
%{_bindir}/libconf_postfix
%{_bindir}/libconf_smbconfig
%{_bindir}/libconf_swat

%changelog

* Wed Aug 27 2003 dams <dams@tuxfamily.org> 0.22-1mdk
- added more glueconf modules
- best gui generator
- best data specification / mapping
- new package -samples, provides executables as prototypes

* Sat Aug 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com>
* 0.21-3mdk
- rebuild for new perl
- quiet setup
- cosmetics

* Wed Jul 30 2003 dams <dams@tuxfamily.org> 0.21-2mdk
- don't require perl(Libconf::Glueconf::KeyValue)

* Wed Jul 30 2003 dams <dams@tuxfamily.org> 0.21-1mdk
- version 21:
  . samba template rewritten
  . swat-clone application initiated
  . gui generator getBestWidget added
  . data specification added in samba template, and implemented in main
libconf module.
- titi patchs applied in cvs
- removed post 20 backport patch
- added buildarchitecture noarch
- added %defattr(-,root,root) for -gui

* Wed Jul 23 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20-3mdk
- provides some examples of using libconf to parse config files

* Wed Jul 23 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20-2mdk
- patch 0: cvs update
- patch 1: switch to new gtk2-perl binding

* Wed Jul 23 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20-1mdk
- initial package

